Package oracle.kv.table

# Enum Index.IndexType

java.lang.Object
java.lang.Enum<Index.IndexType>
oracle.kv.table.Index.IndexType

All Implemented Interfaces:
  `Serializable`, `Comparable<Index.IndexType>`

Enclosing interface:
  Index

public static enum Index.IndexType extends Enum<Index.IndexType>
The type of an index. Currently there are two types: SECONDARY is a regular index defined by mapping fields to keys in a secondary database, while TEXT is a full text index defined via a mapping of fields to a text search engine.

Since:
  3.5

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SECONDARY`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Index.IndexType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Index.IndexType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SECONDARY

    public static final Index.IndexType SECONDARY

  - ### TEXT

    public static final Index.IndexType TEXT

- ## Method Details

  - ### values

    public static Index.IndexType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Index.IndexType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null